    The XSPEC grbcomp model: Comptonization for GRB prompt emission.

xsgrbcomp
The xsgrbcomp model is an additive model component.

The model is described at [1] .

>>> create_model_component("xsgrbcomp", "mdl")
>>> print(mdl)

Create a component of the xsgrbcomp model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.kTs thawed 1 0 20 keV mdl.gamma thawed 3 0 10 mdl.kTe thawed 100 0.2 2000 keV mdl.tau thawed 5 0 200 mdl.beta thawed 0.2 0 1 mdl.fbflag frozen 0 0 1 mdl.log_A frozen 5 -8 8 mdl.z frozen 0 0 10 mdl.a_boost frozen 5 0 30 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
kTs
Temperature of the seed blackbody spectrum in keV.
gamma
If set to 3 the seed soft spectrum is a blackbody, otherwise it approximates a modified blackbody.
kTe
Electron temperature of the subrelativistic outflow in keV.
tau
Radial optical depth of the subrelativistic outflow.
beta
Bulk outflow velocity of the thermal electrons.
fbflag
If set to 0 then only the first-order bulk Comptonization term is considered, otherwise if set to 1 then the second-order term is computed (see [1] for more details).
log_A
The geometrical covering factor which determines the relative weights of the seed and comptonized spectra to the total flux.
z
Redshift.
a_boost
The energy index of the Green's function with which the formerly comptonization spectrum is convolved.
norm
The normalization of the model: see [1] for an explanation of the units.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelGrbcomp.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023